# train_gui.cpp File Reference

GUI for trains. More...

`#include "stdafx.h"`
`#include "window_gui.h"`
`#include "gfx_func.h"`
`#include "command_func.h"`
`#include "vehicle_gui.h"`
`#include "train.h"`
`#include "newgrf_engine.h"`
`#include "strings_func.h"`
`#include "vehicle_func.h"`
`#include "engine_base.h"`
`#include "window_func.h"`
`#include "settings_type.h"`
`#include "table/sprites.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
void | CcBuildWagon (bool success, TileIndex tile, uint32 p1, uint32 p2)
void | CcBuildLoco (bool success, TileIndex tile, uint32 p1, uint32 p2)
int | WagonLengthToPixels (int len)
| Get the number of pixels for the given wagon length.
void | DrawTrainImage (const Vehicle *v, int x, int y, VehicleID selection, int count, int skip)
static void | TrainDetailsCargoTab (const Vehicle *v, int x, int y)
static void | TrainDetailsInfoTab (const Vehicle *v, int x, int y)
static void | TrainDetailsCapacityTab (const Vehicle *v, int x, int y)
int | GetTrainDetailsWndVScroll (VehicleID veh_id, byte det_tab)
void | DrawTrainDetails (const Vehicle *v, int x, int y, int vscroll_pos, uint16 vscroll_cap, byte det_tab)

## Detailed Description

GUI for trains.

Definition in file train_gui.cpp.

## Function Documentation

int WagonLengthToPixels | ( | int | len | ) |

Get the number of pixels for the given wagon length.

Parameters:

  | len | Length measured in 1/8ths of a standard wagon.

Returns:
  Number of pixels across.

Definition at line 63 of file train_gui.cpp.